<?php
/**
 * Tattoopress Page Builder
 *
 * @package WordPress
 * @subpackage Tattoopress
 * @version 3.3.4
 */

defined( 'ABSPATH' ) || exit;

/**
 * WPBAkery Page Builder Extension plugin mods
 *
 * @param array $mods Array of mods.
 * @return array
 */
function tattoopress_set_wvc_mods( $mods ) {

	if ( class_exists( 'Wolf_Visual_Composer' ) ) {
		$mods['blog']['options']['newsletter'] = array(
			'id'          => 'newsletter_form_single_blog_post',
			'label'       => esc_html__( 'Add newsletter form below single post', 'tattoopress' ),
			'type'        => 'checkbox',
			'description' => esc_html__( 'Display a newsletter sign up form at the bottom of each blog post.', 'tattoopress' ),
		);

	}

	if ( class_exists( 'Wolf_Core' ) ) {
		$mods['blog']['options']['newsletter'] = array(
			'id'          => 'newsletter_form_single_blog_post',
			'label'       => esc_html__( 'Add newsletter form below single post', 'tattoopress' ),
			'type'        => 'checkbox',
			'description' => esc_html__( 'Display a newsletter sign up form at the bottom of each blog post.', 'tattoopress' ),
		);

	}

	return $mods;
}
add_filter( 'tattoopress_customizer_mods', 'tattoopress_set_wvc_mods' );
